.d-inline-grid {
	display: inline-grid;
}

.colpick {
	z-index: 1061;
}

.iconcreator canvas#pixi {
	height: 100%;
	box-shadow: 0 4px 20px rgba(0,0,0,0.3);
}

.iconcreator .canvas-wrapper {
	position: relative;
	margin-bottom: 18px;
}

.iconcreator .canvas-wrapper:hover .zoom-wrapper {
	opacity: 1;
}

.iconcreator .zoom-wrapper {
	position: absolute;
	left: 50%;
	bottom: -4px;
	transform: translate(-50%, 100%);
	background: rgba(0,0,0,0.6);
	border-radius: calc(.25rem - 1px);
	color: #fff;
	opacity: 0;
	transition: opacity 0.15s;
	box-shadow: 0 4px 20px rgba(0,0,0,0.3);
}

.iconcreator .zoom-wrapper > .btn {
	background: transparent;
	color: #fff;
}

.iconcreator .zoom-wrapper > span {
	font-size: 0.8em;
	vertical-align: middle;
}

.iconcreator .property-group-header {
	margin: 4px 16px -4px 16px;
}

.iconcreator .property-group {
	margin: 16px;
}

.iconcreator .property-group:not(:first-child):not(:last-child) {
	padding-bottom: 12px;
	margin-bottom: 0;
	border-bottom: solid 1px rgba(0,0,0,0.125);
}

.iconcreator .property-group .property {
	display: flex;
}

.iconcreator .property-group .property-fullsize {
	display: block;
}

.iconcreator .property-group .property-fullsize > label {
	float: left;
}

.iconcreator .property-group .property select,
.iconcreator .property-group .property .selectize-control {
	width: 100%;
}

.iconcreator .selectize-control.single .selectize-input:after {
	display: none;
}

.iconcreator .selectize-control .selectize-input {
	width: 100%;
}

.iconcreator .selectize-control .item {
	font-size: 1.2em;
	text-align: left;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.iconcreator .selectize-control .item .icon {
	text-align: center;
	width: 24px;
	margin-right: 8px;
	font-size: 1.2em;
}

.iconcreator .property-group .property > label {
	text-align: left;
	flex-grow: 1;
}

.iconcreator .property-group .property > .property-input {
	flex-grow: 2;
}

.iconcreator .property-group .property .color-input {
	border: 1px solid rgba(0,0,0,.125);
	height: 26px;
	transition-duration: 0.15s, 0s, 0.15s, 0.15s;
}

.iconcreator .property-group .list-values {
	background: rgba(0,0,0,.06);
	padding: 4px;
	border: 1px solid rgba(0,0,0,.125);
	border-radius: calc(.25rem - 1px) calc(.25rem - 1px) 0 calc(.25rem - 1px);
}

.iconcreator .property-group .list-values.no-corner {
	border-radius: calc(.25rem - 1px);
}

.iconcreator .property-input .list-values > * {
	width: 100%;
}

.iconcreator .property-input .list-values > *:not(:first-child) {
	margin-top: 2px;
}

.iconcreator .property-input .list-values > .color-input {
	height: 10px;
}

.iconcreator .property-input .list-add-remove {
	text-align: right;
	margin-top: -1px;
	padding-bottom: 6px;
}

.iconcreator .property-input .list-add-remove > * {
	vertical-align: top;
	padding: .15rem .3rem;
	font-size: .75rem;
	line-height: 1.15;
	border-radius: 0 0 calc(.25rem - 1px) calc(.25rem - 1px);
	border: 1px solid rgba(0,0,0,.125);
	border-top: transparent;
}

.iconcreator .property-input .list-add-remove > *:first-child {
	border-right-color: transparent;
	border-bottom-right-radius: 0;
}

.iconcreator .property-input .list-add-remove > *:not(:first-child) {
	border-left-color: transparent;
	border-bottom-left-radius: 0;
}
